petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatMumpsInvertSchurComplement

Invert the raw Schur data computed by MUMPS during the factorization step

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMumpsInvertSchurComplement(Mat F)

Logically Collective on Mat

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() from PETSc-MUMPS interface

### Notes

MUMPS Schur complement mode is currently implemented for sequential matrices. The routine uses the pointer to the raw data of the Schur Complement stored within MUMPS data strutures.

References: MUMPS Users' Guide

### See Also

MatGetFactor(), MatMumpsSetSchurIndices()

Level:advanced
Location:src/mat/impls/aij/mpi/mumps/mumps.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages